//
// Created by zx on 2019/8/28.
//

#ifndef MONITORMPC_H
#define MONITORMPC_H

#include <vector>
#include <Eigen/Core>
#include <tf/transform_datatypes.h>

class MonitorMPC
{
public:
    MonitorMPC();
    virtual ~MonitorMPC();

    bool Solve(Eigen::VectorXd state, Eigen::VectorXd coeffs, std::vector<double>& out);

    std::vector<tf::Pose> m_trajectory;
};


#endif //MONITORMPC_H
